Integration
Update Integration
POST
/
v1
/
integration
/
{integration_id}
/
update-settings
Update Integration
curl --request POST \
--url https://zeus-api.atlas.so/v1/integration/{integration_id}/update-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"supportedFeatures": {
"typing": true,
"escalation": true,
"closeTicket": true,
"conversationSummary": true,
"conversationTimeout": false,
"verifierResolution": false,
"verifierEscalation": false,
"csat": true,
"messageInEscalation": true,
"messageInEndConversation": true,
"getPastConversationsTool": false,
"externalCustomerId": false,
"inactivityPrompt": true,
"streaming": false,
"verifier": true,
"tone": true,
"conversationTitle": true,
"customerMessageGuardrails": true,
"preemptiveRetrieval": false
},
"toneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseToneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelsSettings": {},
"webhook": {
"url": "http://www.example.com/",
"headers": {},
"metadata": {}
}
}
'import requests
url = "https://zeus-api.atlas.so/v1/integration/{integration_id}/update-settings"
payload = {
"name": "<string>",
"supportedFeatures": {
"typing": True,
"escalation": True,
"closeTicket": True,
"conversationSummary": True,
"conversationTimeout": False,
"verifierResolution": False,
"verifierEscalation": False,
"csat": True,
"messageInEscalation": True,
"messageInEndConversation": True,
"getPastConversationsTool": False,
"externalCustomerId": False,
"inactivityPrompt": True,
"streaming": False,
"verifier": True,
"tone": True,
"conversationTitle": True,
"customerMessageGuardrails": True,
"preemptiveRetrieval": False
},
"toneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseToneId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelsSettings": {},
"webhook": {
"url": "http://www.example.com/",
"headers": {},
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
supportedFeatures: {
typing: true,
escalation: true,
closeTicket: true,
conversationSummary: true,
conversationTimeout: false,
verifierResolution: false,
verifierEscalation: false,
csat: true,
messageInEscalation: true,
messageInEndConversation: true,
getPastConversationsTool: false,
externalCustomerId: false,
inactivityPrompt: true,
streaming: false,
verifier: true,
tone: true,
conversationTitle: true,
customerMessageGuardrails: true,
preemptiveRetrieval: false
},
toneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstResponseToneId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channelsSettings: {},
webhook: {url: 'http://www.example.com/', headers: {}, metadata: {}}
})
};
fetch('https://zeus-api.atlas.so/v1/integration/{integration_id}/update-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration": "<string>",
"settings": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
ID of custom tone configuration. Overrides tone_type for transformations
ID of custom tone configuration. Overrides tone_type for first response
Show child attributes
Show child attributes
⌘I
Update Integration
